Tryton - Issues

 

Message44324

Author udono
Recipients
Date 2018-10-04.16:44:39
Content
Traceback (most recent call last):
  File "/usr/local/lib/python35/dist-packages/trytond/model/modelstoragepy", line 1236, in __getattr__
    field = self_fields[name]
KeyError: 'descriptions'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/evalpy", line 318, in lookup_attr
    val = getattr(obj, key)
  File "/usr/local/lib/python35/dist-packages/trytond/model/modelstoragepy", line 1238, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "accountstatementorigin,1" has no attribute "descriptions"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/evalpy", line 324, in lookup_attr
    val = obj[key]
TypeError: 'accountstatementorigin' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python35/dist-packages/trytond/wsgipy", line 73, in dispatch_request
    return endpoint(request, **requestview_args)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/dispatcherpy", line 46, in rpc
    request, database_name, *requestrpc_params)
  File "/usr/local/lib/python35/dist-packages/trytond/wsgipy", line 44, in auth_required
    return wrapped(*args, **kwargs)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/wrapperspy", line 122, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/dispatcherpy", line 176, in _dispatch
    result = rpcresult(meth(*c_args, **c_kwargs))
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 182, in execute
    oext, content = cls_execute(records, data, action_report)
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 190, in _execute
    return clsconvert(action, clsrender(action, report_context))
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 290, in render
    data = rel_report(**report_context)render()
  File "/usr/local/lib/python35/dist-packages/relatorio/templates/basepy", line 34, in render
    return selfserializer(selfevents)
  File "/usr/local/lib/python35/dist-packages/relatorio/templates/opendocumentpy", line 1056, in __call__
    for kind, data, pos in stream:
  File "/genshi/corepy", line 289, in _ensure
    for event in stream:
  File "/genshi/filters/i18npy", line 690, in __call__
    for kind, data, pos in stream:
  File "/genshi/template/basepy", line 617, in _include
    for event in stream:
  File "/genshi/template/markuppy", line 326, in _match
    for event in stream:
  File "/genshi/template/basepy", line 557, in _flatten
    for kind, data, pos in stream:
  File "/genshi/template/directivespy", line 367, in __call__
    iterable = _eval_expr(selfexpr, ctxt, vars)
  File "/genshi/template/basepy", line 289, in _eval_expr
    retval = exprevaluate(ctxt)
  File "/genshi/template/evalpy", line 178, in evaluate
    return eval(selfcode, _globals, {'__data__': data})
  File "<string>", line 232, in <Expression 'iter(linedescriptions)'>
  File "/genshi/template/evalpy", line 326, in lookup_attr
    val = clsundefined(key, owner=obj)
  File "/genshi/template/evalpy", line 414, in undefined
    raise UndefinedError(key, owner=owner)
genshitemplateevalUndefinedError: Pool()get('accountstatementorigin')(1) has no member named "descriptions"
History
Date User Action Args
2018-10-04 16:44:40udonosetmessageid: <1538664280.55.0.0319574300399.issue7763@tryton.org>
2018-10-04 16:44:40udonolinkissue7763 messages
2018-10-04 16:44:39udonocreate

Showing 10 items. Show all history (warning: this could be VERY long)